sonic-visualiser (4.5.2-2) unstable; urgency=medium

  * Use d/clean rather than overriding dh_auto_clean
  * Cleanup intermediate test results (Closes: #1046397)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 22 Jan 2024 12:53:39 +0100

sonic-visualiser (4.5.2-1) unstable; urgency=medium

  * New upstream version 4.5.2
    + Refresh patches
  * Update d/copyright
    + Bump copyright dates
    + Update 'licensecheck' target
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 13 Jun 2023 18:05:46 +0200

sonic-visualiser (4.5.1-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 4.5.1
    + Refresh patches
  * Update d/copyright
    + Bump dates
    + Regenerate d/copyright_hints

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 15 Nov 2022 00:19:03 +0100

sonic-visualiser (4.5-3) unstable; urgency=medium

  * d/watch: switch to github API
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Sep 2022 10:39:25 +0200

sonic-visualiser (4.5-2) unstable; urgency=medium

  * Add patch to prevent underlinking with libserd-0 (Closes: #1016233)
  * Update lintian-overrides

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 05 Aug 2022 20:24:37 +0200

sonic-visualiser (4.5-1) unstable; urgency=medium

  * New upstream version 4.5

  * Update d/copyright
    * Bump copyright dates
    * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 19 Apr 2022 11:05:51 +0200

sonic-visualiser (4.4-3) unstable; urgency=medium

  * Increase test timeout (to allow building on slow archs)
    (Closes: #1000702 (next stage))
  * Use execute_{before,after}_dh... rather than override_dh_...

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 29 Nov 2021 12:47:35 +0100

sonic-visualiser (4.4-2) unstable; urgency=medium

  * Link with libatomic on architectures without built-in atomic
    (Closes: #1000702)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 27 Nov 2021 22:08:55 +0100

sonic-visualiser (4.4-1) unstable; urgency=medium

  * New upstream version 4.4

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patches
  * B-D on 'meson'
  * Install helpers via the dh_auto_install override
  * Compress with xz
  * Update d/watch
  * Apply 'wrap-and-sort -ast'
  * Drop d/copyright entry for non-existing files
    * Regenerate d/copyright_hints
  * Bump standards version to 4.6.0

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 27 Sep 2021 18:15:41 +0200

sonic-visualiser (4.2-1) unstable; urgency=medium

  * New upstream version 4.2
  * Appending hardening CPPFLAGS to CXXFLAGS
    * Include buildflags.mk
  * Remove redundant file-stanzas from d/copyright
    * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 17 Aug 2020 22:42:37 +0200

sonic-visualiser (4.1-1) unstable; urgency=medium

  * New upstream version 4.1 (Closes: #964643)

  * Adjust OSC-documentation path
  * Let the build-system invoke 'capnp'
    * Fix path to vamp-capnp in "clean" target
  * Add CI-configuration
  * Update dates in d/copyright
    * Regenerate d/copyright_hints
  * Bump dh-compat to 13
  * Bump standards-version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 15 Jul 2020 14:58:01 +0200

sonic-visualiser (4.0.1-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 4.0.1

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add note on how to properly import upstream sources

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 08 Jan 2020 10:01:20 +0100

sonic-visualiser (4.0-1) unstable; urgency=medium

  * New upstream version 4.0

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refreshed patches
  * Install helpers to a place where upstream looks for them
    * Drop obsolete patch for Debian specific helper directory
  * Use B-D on versioned debhelper-compat instead of d/compat
  * Declare that "root" is not required to build this package
  * Update d/copyright
    * Refresh d/copyright_hints
    * Remove unused licenses
    * Exclude repository tweaks from upstream

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 04 Nov 2019 16:31:02 +0100

sonic-visualiser (3.3-1) unstable; urgency=medium

  * New upstream version 3.3
    * Refresh patches

  * B-D on libopusfile-dev
  * Refresh d/copyright(_hints)
  * Drop obsolete d/source/local-options
  * Bump dh-compat to 12
  * Bump standards-version to 4.4.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 15 Jul 2019 21:23:20 +0200

sonic-visualiser (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1

  * Added patch to honour DEB_BUILD_OPTIONS=nocheck.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #918718)
  * Don't install compiled tests into /usr/tests/

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 11 Jan 2019 12:23:33 +0100

sonic-visualiser (3.2-1) unstable; urgency=medium

  * New upstream version 3.2

  [ Olivier Humbert ]
  * Adds a manpage in French
  * Installs the French manpage

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refreshed patches
  * Refreshed debian/copyright(_hints)
  * Enforce C++-14 (Closes: #917690)
  * Bumped standard version to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 06 Jan 2019 14:08:52 +0100

sonic-visualiser (3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1

  * Fixed QT_SELECT
  * Made qmake install into DESTDIR by overriding INSTALL_ROOT
  * Prevent helpers from getting installed into /usr/bin
  * Updated d/copyright
    * Regenerated d/copyright_hints
    * Added copyright-holders for translations
  * Bumped standards version to 4.2.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 21 Aug 2018 22:37:33 +0200

sonic-visualiser (3.1-1) unstable; urgency=medium

  * New upstream version 3.1

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Patch for cross-compilation.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #900913)
  * Switched upstream URLs to https://
  * Bumped standards version to 4.1.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 17 Jul 2018 17:16:09 +0200

sonic-visualiser (3.0.3-4) unstable; urgency=medium

  * Fixed typos in helper paths (Closes: #888425)
  * New maintainer address <debian-multimedia@lists.d.o>
  * Bumped debhelper compat to 11
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 25 Jan 2018 22:14:19 +0100

sonic-visualiser (3.0.3-3) unstable; urgency=medium

  * Fixed test-suite patch for arm64

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 08 Jan 2018 13:46:00 +0100

sonic-visualiser (3.0.3-2) unstable; urgency=medium

  * Patch to make test-suite more tolerant on exotic archs (Closes: #882178)
  * Force pristine-tar compression to "gz"

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 08 Jan 2018 00:00:33 +0100

sonic-visualiser (3.0.3-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Reimport upstream as version 3.0.3
    - There's really no need to repack
  * Install helpers in /usr/lib/sonic-visualiser/
  * Install light icon
  * Fixed exporting of CXXFLAGS/LDFLAGS
  * Use "-ffloat-store" on i386.
    Thanks to Adrian Bunk <bunk@debian.org> (Closes: #878329)
  * Add CITATION to the docs
  * Update URL to online-documentation in manpage
  * Put sonic-visualiser to top of d/install
  * Get rid for "get-orig-source" target
  * Switch d/watch to https://
  * Add Debian copyright holders to d/copyright

  [ Jaromír Mikeš ]
  * Update copyright file.
  * Introduce postclone.sh script to ignore .pc/ dir.
  * Renumber patches.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 13 Oct 2017 23:13:55 +0200

sonic-visualiser (3.0.3~repack1-1) unstable; urgency=medium

  * New upstream version 3.0.3~repack1

  [ Jaromír Mikeš ]
  * Update copyright.
  * Update Vcs - use git instead of cgit.
  * Add libcapnp-dev as B-D.
  * Patch refreshed.
  * Bump Standards.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Added more qt-dependencies
  * Removed outdated tweaks to build sv* modules
  * Added missing-source for piper.capnp
    * Re-build piper.capnp from source
  * Fixed test suite
    * export UTF-8 locales so the tests can succeed
    * provide a HOME-directory for running the tests
  * Document DH_VERBOSE in d/rules
  * Updated d/copyright
    * Added rule to run licensecheck
    * Added d/copyright_hints for easier license checking
    * Added myself to copyright holders
  * Added myself to uploaders
  * Bumped Standards to 4.1.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 04 Oct 2017 23:19:47 +0200

sonic-visualiser (2.5~repack1-4) unstable; urgency=medium

  * Set dh/compat 10.
  * Sign tags.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 26 Dec 2016 20:44:59 +0100

sonic-visualiser (2.5~repack1-3) unstable; urgency=medium

  * Drop dbg package in favour of dbgsym.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 02 Aug 2016 13:25:46 +0200

sonic-visualiser (2.5~repack1-2) unstable; urgency=medium

  * Bump Standards.
  * Fix VCS fields.
  * Fix watch file.
  * Tune .gitignore file.
  * Update copyright file.
  * Fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 02 Aug 2016 11:32:55 +0200

sonic-visualiser (2.5~repack1-1) unstable; urgency=medium

  * Imported Upstream version 2.5~repack1
  * Patch refreshed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 27 Oct 2015 14:03:45 +0100

sonic-visualiser (2.4.1~repack1-2) unstable; urgency=low

  * Don't build against internal dataquay.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 07 Oct 2014 10:10:03 +0200

sonic-visualiser (2.4.1~repack1-1) unstable; urgency=low

  * Imported Upstream version 2.4.1~repack1
  * Build with qt5.
  * Build with dh parallel.
  * Dropped desktop patch - applied upstream.
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 06 Oct 2014 20:42:42 +0200

sonic-visualiser (2.3~repack1-3) unstable; urgency=medium

  * Team upload.
  * Do not install x-sonicvisualiser*.desktop files.
    (Closes: #725049, LP: #1161283, #1255469)

 -- Benjamin Drung <bdrung@debian.org>  Tue, 01 Apr 2014 11:52:13 +0200

sonic-visualiser (2.3~repack1-2) unstable; urgency=low

  * Fix desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 28 Jan 2014 00:55:45 +0100

sonic-visualiser (2.3~repack1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards.
  * Add %U on the end of Exec= line in desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 12 Jan 2014 11:09:52 +0100

sonic-visualiser (2.2~repack1-1) unstable; urgency=low

  * New upstream release.
  * Added Keywords entry to desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 08 Aug 2013 07:20:50 +0200

sonic-visualiser (2.1-1) unstable; urgency=low

  * New upstream release (Closes: #707884).
  * Refreshed patch.
  * Set build dependency vamp-plugin-sdk (>= 2.5).
  * Added libsord-dev as build dependency.
  * Fix VCS canonical URLs.
  * Bump standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 02 Jun 2013 16:07:38 +0200

sonic-visualiser (2.0-1) unstable; urgency=low

  * Initial packaging (Closes: #520230).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 03 Oct 2012 15:32:00 +0200
